aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/synth/assertassumes0/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/synth/assertassumes0/testsuite.sh')
-rwxr-xr-xtestsuite/synth/assertassumes0/testsuite.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/testsuite/synth/assertassumes0/testsuite.sh b/testsuite/synth/assertassumes0/testsuite.sh
new file mode 100755
index 000000000..68d3ae989
--- /dev/null
+++ b/testsuite/synth/assertassumes0/testsuite.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+UNIT=assert0
+GHDL_STD_FLAGS=--std=08
+
+synth_only $UNIT
+
+# There should be no assume gate without assert-assume option.
+if grep -q -e "-- assume" syn_$UNIT.vhdl; then
+ exit 1
+fi
+
+# There should be an assert gate without assert-assume option.
+if ! grep -q -e "-- assert" syn_$UNIT.vhdl; then
+ exit 1
+fi
+
+GHDL_FLAGS=--assert-assumes
+
+synth_only $UNIT
+
+# There should be an assume gate with assert-assume option.
+if ! grep -q -e "-- assume" syn_$UNIT.vhdl; then
+ exit 1
+fi
+
+# There should be no assert gate with assert-assume option.
+if grep -q -e "-- assert" syn_$UNIT.vhdl; then
+ exit 1
+fi
+
+clean
+
+echo "Test successful"